Need help? Get answers from the docs with Omni's in-app AI! Log in to your Omni instance and open the Omni Agent in the sidebar.
curl --request PUT \
--url https://{instance}.omniapp.co/api/v1/connections/{connectionId}/dbt/environments/{environmentId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Development",
"targetSchema": "dev_schema"
}
'{
"id": "247dc6dc-2a58-4688-9521-c5ed3e99c1e8",
"name": "Development",
"isDefaultEnvironment": false,
"ownerId": "550e8400-e29b-41d4-a716-446655440000",
"targetDatabase": "analytics_dev",
"targetName": "custom_target",
"targetRole": "developer",
"targetSchema": "dev_schema",
"variables": {
"id": "b2c3d4e5-f6a7-8901-bcde-f12345678901",
"name": "DBT_TARGET",
"value": "staging",
"isSecret": false
}
}This endpoint requires Connection Admin permissions for the connection.
Updates an existing dbt environment on the specified connection. All fields are optional; only the provided fields will be updated.
curl --request PUT \
--url https://{instance}.omniapp.co/api/v1/connections/{connectionId}/dbt/environments/{environmentId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Development",
"targetSchema": "dev_schema"
}
'{
"id": "247dc6dc-2a58-4688-9521-c5ed3e99c1e8",
"name": "Development",
"isDefaultEnvironment": false,
"ownerId": "550e8400-e29b-41d4-a716-446655440000",
"targetDatabase": "analytics_dev",
"targetName": "custom_target",
"targetRole": "developer",
"targetSchema": "dev_schema",
"variables": {
"id": "b2c3d4e5-f6a7-8901-bcde-f12345678901",
"name": "DBT_TARGET",
"value": "staging",
"isSecret": false
}
}Documentation Index
Fetch the complete documentation index at: https://docs.omni.co/llms.txt
Use this file to discover all available pages before exploring further.
Can be either an Organization API Key or Personal Access Token (PAT).
Include in the Authorization header as: Bearer YOUR_TOKEN
The unique identifier of the connection
The unique identifier of the dbt environment
The name of the dbt environment
1"Development"
The target schema for the environment
1"dev_schema"
Only valid with Organization API keys. The user ID of the owner for the dbt environment. Personal Access Tokens (PATs) automatically use the authenticated user as the owner.
"550e8400-e29b-41d4-a716-446655440000"
Target database override
"analytics_dev"
Target name override
"custom_target"
Target role override
"developer"
Environment variables for the dbt environment. To update existing variables, include the variable id field. New variables should omit the id field.
Show child attributes
dbt environment updated successfully
Unique identifier of the dbt environment
The name of the dbt environment
Whether this is the default environment
The user ID of the owner of the dbt environment, or null
Target database override
Target name override
Target role override
Target schema for the environment
Environment variables
Show child attributes
Was this page helpful?